Fiskil Docs

Get usage

Returns usage data for all service points associated with the end user

GET
/v1/energy/usage

Returns usage data for all service points associated with the end user

Query Parameters

end_user_idstringrequired

A unique identifier for the End User object.

A unique identifier for the Service Point object.

The start date, in yyyy-mm-dd format, from which the usage data is requested.

The end date, in yyyy-mm-dd format, up to which the usage data is requested.

When the page[before] is specified, backwards pagination is achieved

When the page[after] is specified, forwards pagination is achieved

page[size]integer

When the page[size] is specified, no more than page[size] resources will be included in the response's data field. This parameter is set to a sensible default, which varies depending on the endpoint. It is capped at 1000.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/energy/usage?end_user_id=eu_1234&service_point_id=31607226-23bb-4544-8e28-da007fda3d29&read_start_date.oldest=2024-09-01&read_start_date.newest=2024-09-30"
{  "usage": [    {      "arrangement_id": "arr678",      "basic_read": {        "quality": "ACTUAL",        "value": 550      },      "controlled_load": true,      "fiskil_id": "energy_usage_abcder123",      "institution_id": "154",      "interval_read": {        "aggregate_value": 549.84,        "interval_reads": [          0        ],        "read_interval_length": 5,        "read_qualities": [          {            "end_interval": 5,            "quality": "SUBSTITUTE",            "start_interval": 1          }        ]      },      "meter_id": "EFS12341",      "read_end_date": "2024-09-17",      "read_start_date": "2024-06-17",      "read_u_type": "intervalRead",      "register_id": "11",      "register_suffix": "11",      "service_point_id": "826e5be8-5790-49b1-9a8d-1080b2e7d4e7",      "unit_of_measure": "KWH"    }  ],  "links": {    "next": "https://api.fiskil.com/v1/accounts?page[after]=x",    "prev": "https://api.fiskil.com/v1/accounts?page[before]=x"  }}
{  "id": "string",  "message": "string",  "name": "string"}
{  "id": "string",  "message": "string",  "name": "string"}